STRCPY(3)

NAME
strcpy - copy a string

SYNOPSIS
#include <string.h>
char *
strcpy(char *dst, const char *src);

DESCRIPTION
The strcpy() function copies the string src to dst (including the terminating ‘\0’ character). The string dst must be at least as large as src to hold the result.

If the src and dst strings overlap, the behavior is undefined.

RETURN VALUES
The strcpy() function returns dst.

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), memmove(3), strcat(3), strlcpy(3), strncpy(3), wcscpy(3), wcslcpy(3)

STANDARDS
The strcpy() and strncpy() functions conform to ansiC.

HISTORY
The strcpy() function first appeared in the Programmer's Workbench (PWB/UNIX) and was ported to AT&T UNIX.